package cz.zcu.kiv.redsys.model.publikace;

import cz.zcu.kiv.redsys.model.JmennaEntita; 
import cz.zcu.kiv.redsys.model.vyzkum.VyzkumnyGrant; 
import java.util.List; 

public class Publikace extends JmennaEntita {

    private TypPublikace typPublikace;

    private TechReport techReport;

    private Riv riv;

    private VyzkumnyGrant vyzkumnyGrant;

    private List<AutorstviPublikace> autorstviPublikace;

    private int rok;
    private String url;
    private String extAutori;
    private int autorZaznamu;
    
    public List<AutorstviPublikace> getAutorstviPublikace () {
        return autorstviPublikace;
    }

    public void setAutorstviPublikace (List<AutorstviPublikace> val) {
        this.autorstviPublikace = val;
    }

    public Riv getRiv () {
        return riv;
    }

    public void setRiv (Riv val) {
        this.riv = val;
    }

    public TechReport getTechReport () {
        return techReport;
    }

    public void setTechReport (TechReport val) {
        this.techReport = val;
    }

    public TypPublikace getTypPublikace () {
        return typPublikace;
    }

    public void setTypPublikace (TypPublikace val) {
        this.typPublikace = val;
    }

    public VyzkumnyGrant getVyzkumnyGrant () {
        return vyzkumnyGrant;
    }

    public void setVyzkumnyGrant (VyzkumnyGrant val) {
        this.vyzkumnyGrant = val;
    }

    public int getRok() {
        return rok;
    }

    public void setRok(int rok) {
        this.rok = rok;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getExtAutori() {
        return extAutori;
    }

    public void setExtAutori(String extAutori) {
        this.extAutori = extAutori;
    }

    public int getAutorZaznamu() {
        return autorZaznamu;
    }

    public void setAutorZaznamu(int autorZaznamu) {
        this.autorZaznamu = autorZaznamu;
    }

}

